Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/20
Addresses2^108
/64 networks2^44
Network
fc04:d000::/20
First address
fc04:d000::
Last address
fc04:dfff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
324,518,553,658,426,726,783,156,020,576,256 (2^108)
/64 networks (LANs)
17,592,186,044,416 (2^44)
Full form
fc04:d000:0000:0000:0000:0000:0000:0000
Type
Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8
Reverse DNS zone
d.4.0.c.f.ip6.arpa
Split into smaller subnets/28

fc04:d000::/20 makes 256 subnets of /28.

Subnets
#SubnetLast address
1fc04:d000::/28fc04:d00f:ffff:ffff:ffff:ffff:ffff:ffff
2fc04:d010::/28fc04:d01f:ffff:ffff:ffff:ffff:ffff:ffff
3fc04:d020::/28fc04:d02f:ffff:ffff:ffff:ffff:ffff:ffff
4fc04:d030::/28fc04:d03f:ffff:ffff:ffff:ffff:ffff:ffff
5fc04:d040::/28fc04:d04f:ffff:ffff:ffff:ffff:ffff:ffff
6fc04:d050::/28fc04:d05f:ffff:ffff:ffff:ffff:ffff:ffff
7fc04:d060::/28fc04:d06f:ffff:ffff:ffff:ffff:ffff:ffff
8fc04:d070::/28fc04:d07f:ffff:ffff:ffff:ffff:ffff:ffff
9fc04:d080::/28fc04:d08f:ffff:ffff:ffff:ffff:ffff:ffff
10fc04:d090::/28fc04:d09f:ffff:ffff:ffff:ffff:ffff:ffff
11fc04:d0a0::/28fc04:d0af:ffff:ffff:ffff:ffff:ffff:ffff
12fc04:d0b0::/28fc04:d0bf:ffff:ffff:ffff:ffff:ffff:ffff
13fc04:d0c0::/28fc04:d0cf:ffff:ffff:ffff:ffff:ffff:ffff
14fc04:d0d0::/28fc04:d0df:ffff:ffff:ffff:ffff:ffff:ffff
15fc04:d0e0::/28fc04:d0ef:ffff:ffff:ffff:ffff:ffff:ffff
16fc04:d0f0::/28fc04:d0ff:ffff:ffff:ffff:ffff:ffff:ffff
17fc04:d100::/28fc04:d10f:ffff:ffff:ffff:ffff:ffff:ffff
18fc04:d110::/28fc04:d11f:ffff:ffff:ffff:ffff:ffff:ffff
19fc04:d120::/28fc04:d12f:ffff:ffff:ffff:ffff:ffff:ffff
20fc04:d130::/28fc04:d13f:ffff:ffff:ffff:ffff:ffff:ffff
21fc04:d140::/28fc04:d14f:ffff:ffff:ffff:ffff:ffff:ffff
22fc04:d150::/28fc04:d15f:ffff:ffff:ffff:ffff:ffff:ffff
23fc04:d160::/28fc04:d16f:ffff:ffff:ffff:ffff:ffff:ffff
24fc04:d170::/28fc04:d17f:ffff:ffff:ffff:ffff:ffff:ffff
25fc04:d180::/28fc04:d18f:ffff:ffff:ffff:ffff:ffff:ffff
26fc04:d190::/28fc04:d19f:ffff:ffff:ffff:ffff:ffff:ffff
27fc04:d1a0::/28fc04:d1af:ffff:ffff:ffff:ffff:ffff:ffff
28fc04:d1b0::/28fc04:d1bf:ffff:ffff:ffff:ffff:ffff:ffff
29fc04:d1c0::/28fc04:d1cf:ffff:ffff:ffff:ffff:ffff:ffff
30fc04:d1d0::/28fc04:d1df:ffff:ffff:ffff:ffff:ffff:ffff
31fc04:d1e0::/28fc04:d1ef:ffff:ffff:ffff:ffff:ffff:ffff
32fc04:d1f0::/28fc04:d1ff:ffff:ffff:ffff:ffff:ffff:ffff
33fc04:d200::/28fc04:d20f:ffff:ffff:ffff:ffff:ffff:ffff
34fc04:d210::/28fc04:d21f:ffff:ffff:ffff:ffff:ffff:ffff
35fc04:d220::/28fc04:d22f:ffff:ffff:ffff:ffff:ffff:ffff
36fc04:d230::/28fc04:d23f:ffff:ffff:ffff:ffff:ffff:ffff
37fc04:d240::/28fc04:d24f:ffff:ffff:ffff:ffff:ffff:ffff
38fc04:d250::/28fc04:d25f:ffff:ffff:ffff:ffff:ffff:ffff
39fc04:d260::/28fc04:d26f:ffff:ffff:ffff:ffff:ffff:ffff
40fc04:d270::/28fc04:d27f:ffff:ffff:ffff:ffff:ffff:ffff
41fc04:d280::/28fc04:d28f:ffff:ffff:ffff:ffff:ffff:ffff
42fc04:d290::/28fc04:d29f:ffff:ffff:ffff:ffff:ffff:ffff
43fc04:d2a0::/28fc04:d2af:ffff:ffff:ffff:ffff:ffff:ffff
44fc04:d2b0::/28fc04:d2bf:ffff:ffff:ffff:ffff:ffff:ffff
45fc04:d2c0::/28fc04:d2cf:ffff:ffff:ffff:ffff:ffff:ffff
46fc04:d2d0::/28fc04:d2df:ffff:ffff:ffff:ffff:ffff:ffff
47fc04:d2e0::/28fc04:d2ef:ffff:ffff:ffff:ffff:ffff:ffff
48fc04:d2f0::/28fc04:d2ff:ffff:ffff:ffff:ffff:ffff:ffff
49fc04:d300::/28fc04:d30f:ffff:ffff:ffff:ffff:ffff:ffff
50fc04:d310::/28fc04:d31f:ffff:ffff:ffff:ffff:ffff:ffff
51fc04:d320::/28fc04:d32f:ffff:ffff:ffff:ffff:ffff:ffff
52fc04:d330::/28fc04:d33f:ffff:ffff:ffff:ffff:ffff:ffff
53fc04:d340::/28fc04:d34f:ffff:ffff:ffff:ffff:ffff:ffff
54fc04:d350::/28fc04:d35f:ffff:ffff:ffff:ffff:ffff:ffff
55fc04:d360::/28fc04:d36f:ffff:ffff:ffff:ffff:ffff:ffff
56fc04:d370::/28fc04:d37f:ffff:ffff:ffff:ffff:ffff:ffff
57fc04:d380::/28fc04:d38f:ffff:ffff:ffff:ffff:ffff:ffff
58fc04:d390::/28fc04:d39f:ffff:ffff:ffff:ffff:ffff:ffff
59fc04:d3a0::/28fc04:d3af:ffff:ffff:ffff:ffff:ffff:ffff
60fc04:d3b0::/28fc04:d3bf:ffff:ffff:ffff:ffff:ffff:ffff
61fc04:d3c0::/28fc04:d3cf:ffff:ffff:ffff:ffff:ffff:ffff
62fc04:d3d0::/28fc04:d3df:ffff:ffff:ffff:ffff:ffff:ffff
63fc04:d3e0::/28fc04:d3ef:ffff:ffff:ffff:ffff:ffff:ffff
64fc04:d3f0::/28fc04:d3ff:ffff:ffff:ffff:ffff:ffff:ffff
65fc04:d400::/28fc04:d40f:ffff:ffff:ffff:ffff:ffff:ffff
66fc04:d410::/28fc04:d41f:ffff:ffff:ffff:ffff:ffff:ffff
67fc04:d420::/28fc04:d42f:ffff:ffff:ffff:ffff:ffff:ffff
68fc04:d430::/28fc04:d43f:ffff:ffff:ffff:ffff:ffff:ffff
69fc04:d440::/28fc04:d44f:ffff:ffff:ffff:ffff:ffff:ffff
70fc04:d450::/28fc04:d45f:ffff:ffff:ffff:ffff:ffff:ffff
71fc04:d460::/28fc04:d46f:ffff:ffff:ffff:ffff:ffff:ffff
72fc04:d470::/28fc04:d47f:ffff:ffff:ffff:ffff:ffff:ffff
73fc04:d480::/28fc04:d48f:ffff:ffff:ffff:ffff:ffff:ffff
74fc04:d490::/28fc04:d49f:ffff:ffff:ffff:ffff:ffff:ffff
75fc04:d4a0::/28fc04:d4af:ffff:ffff:ffff:ffff:ffff:ffff
76fc04:d4b0::/28fc04:d4bf:ffff:ffff:ffff:ffff:ffff:ffff
77fc04:d4c0::/28fc04:d4cf:ffff:ffff:ffff:ffff:ffff:ffff
78fc04:d4d0::/28fc04:d4df:ffff:ffff:ffff:ffff:ffff:ffff
79fc04:d4e0::/28fc04:d4ef:ffff:ffff:ffff:ffff:ffff:ffff
80fc04:d4f0::/28fc04:d4ff:ffff:ffff:ffff:ffff:ffff:ffff
81fc04:d500::/28fc04:d50f:ffff:ffff:ffff:ffff:ffff:ffff
82fc04:d510::/28fc04:d51f:ffff:ffff:ffff:ffff:ffff:ffff
83fc04:d520::/28fc04:d52f:ffff:ffff:ffff:ffff:ffff:ffff
84fc04:d530::/28fc04:d53f:ffff:ffff:ffff:ffff:ffff:ffff
85fc04:d540::/28fc04:d54f:ffff:ffff:ffff:ffff:ffff:ffff
86fc04:d550::/28fc04:d55f:ffff:ffff:ffff:ffff:ffff:ffff
87fc04:d560::/28fc04:d56f:ffff:ffff:ffff:ffff:ffff:ffff
88fc04:d570::/28fc04:d57f:ffff:ffff:ffff:ffff:ffff:ffff
89fc04:d580::/28fc04:d58f:ffff:ffff:ffff:ffff:ffff:ffff
90fc04:d590::/28fc04:d59f:ffff:ffff:ffff:ffff:ffff:ffff
91fc04:d5a0::/28fc04:d5af:ffff:ffff:ffff:ffff:ffff:ffff
92fc04:d5b0::/28fc04:d5bf:ffff:ffff:ffff:ffff:ffff:ffff
93fc04:d5c0::/28fc04:d5cf:ffff:ffff:ffff:ffff:ffff:ffff
94fc04:d5d0::/28fc04:d5df:ffff:ffff:ffff:ffff:ffff:ffff
95fc04:d5e0::/28fc04:d5ef:ffff:ffff:ffff:ffff:ffff:ffff
96fc04:d5f0::/28fc04:d5ff:ffff:ffff:ffff:ffff:ffff:ffff
97fc04:d600::/28fc04:d60f:ffff:ffff:ffff:ffff:ffff:ffff
98fc04:d610::/28fc04:d61f:ffff:ffff:ffff:ffff:ffff:ffff
99fc04:d620::/28fc04:d62f:ffff:ffff:ffff:ffff:ffff:ffff
100fc04:d630::/28fc04:d63f:ffff:ffff:ffff:ffff:ffff:ffff
101fc04:d640::/28fc04:d64f:ffff:ffff:ffff:ffff:ffff:ffff
102fc04:d650::/28fc04:d65f:ffff:ffff:ffff:ffff:ffff:ffff
103fc04:d660::/28fc04:d66f:ffff:ffff:ffff:ffff:ffff:ffff
104fc04:d670::/28fc04:d67f:ffff:ffff:ffff:ffff:ffff:ffff
105fc04:d680::/28fc04:d68f:ffff:ffff:ffff:ffff:ffff:ffff
106fc04:d690::/28fc04:d69f:ffff:ffff:ffff:ffff:ffff:ffff
107fc04:d6a0::/28fc04:d6af:ffff:ffff:ffff:ffff:ffff:ffff
108fc04:d6b0::/28fc04:d6bf:ffff:ffff:ffff:ffff:ffff:ffff
109fc04:d6c0::/28fc04:d6cf:ffff:ffff:ffff:ffff:ffff:ffff
110fc04:d6d0::/28fc04:d6df:ffff:ffff:ffff:ffff:ffff:ffff
111fc04:d6e0::/28fc04:d6ef:ffff:ffff:ffff:ffff:ffff:ffff
112fc04:d6f0::/28fc04:d6ff:ffff:ffff:ffff:ffff:ffff:ffff
113fc04:d700::/28fc04:d70f:ffff:ffff:ffff:ffff:ffff:ffff
114fc04:d710::/28fc04:d71f:ffff:ffff:ffff:ffff:ffff:ffff
115fc04:d720::/28fc04:d72f:ffff:ffff:ffff:ffff:ffff:ffff
116fc04:d730::/28fc04:d73f:ffff:ffff:ffff:ffff:ffff:ffff
117fc04:d740::/28fc04:d74f:ffff:ffff:ffff:ffff:ffff:ffff
118fc04:d750::/28fc04:d75f:ffff:ffff:ffff:ffff:ffff:ffff
119fc04:d760::/28fc04:d76f:ffff:ffff:ffff:ffff:ffff:ffff
120fc04:d770::/28fc04:d77f:ffff:ffff:ffff:ffff:ffff:ffff
121fc04:d780::/28fc04:d78f:ffff:ffff:ffff:ffff:ffff:ffff
122fc04:d790::/28fc04:d79f:ffff:ffff:ffff:ffff:ffff:ffff
123fc04:d7a0::/28fc04:d7af:ffff:ffff:ffff:ffff:ffff:ffff
124fc04:d7b0::/28fc04:d7bf:ffff:ffff:ffff:ffff:ffff:ffff
125fc04:d7c0::/28fc04:d7cf:ffff:ffff:ffff:ffff:ffff:ffff
126fc04:d7d0::/28fc04:d7df:ffff:ffff:ffff:ffff:ffff:ffff
127fc04:d7e0::/28fc04:d7ef:ffff:ffff:ffff:ffff:ffff:ffff
128fc04:d7f0::/28fc04:d7ff:ffff:ffff:ffff:ffff:ffff:ffff
129fc04:d800::/28fc04:d80f:ffff:ffff:ffff:ffff:ffff:ffff
130fc04:d810::/28fc04:d81f:ffff:ffff:ffff:ffff:ffff:ffff
131fc04:d820::/28fc04:d82f:ffff:ffff:ffff:ffff:ffff:ffff
132fc04:d830::/28fc04:d83f:ffff:ffff:ffff:ffff:ffff:ffff
133fc04:d840::/28fc04:d84f:ffff:ffff:ffff:ffff:ffff:ffff
134fc04:d850::/28fc04:d85f:ffff:ffff:ffff:ffff:ffff:ffff
135fc04:d860::/28fc04:d86f:ffff:ffff:ffff:ffff:ffff:ffff
136fc04:d870::/28fc04:d87f:ffff:ffff:ffff:ffff:ffff:ffff
137fc04:d880::/28fc04:d88f:ffff:ffff:ffff:ffff:ffff:ffff
138fc04:d890::/28fc04:d89f:ffff:ffff:ffff:ffff:ffff:ffff
139fc04:d8a0::/28fc04:d8af:ffff:ffff:ffff:ffff:ffff:ffff
140fc04:d8b0::/28fc04:d8bf:ffff:ffff:ffff:ffff:ffff:ffff
141fc04:d8c0::/28fc04:d8cf:ffff:ffff:ffff:ffff:ffff:ffff
142fc04:d8d0::/28fc04:d8df:ffff:ffff:ffff:ffff:ffff:ffff
143fc04:d8e0::/28fc04:d8ef:ffff:ffff:ffff:ffff:ffff:ffff
144fc04:d8f0::/28fc04:d8ff:ffff:ffff:ffff:ffff:ffff:ffff
145fc04:d900::/28fc04:d90f:ffff:ffff:ffff:ffff:ffff:ffff
146fc04:d910::/28fc04:d91f:ffff:ffff:ffff:ffff:ffff:ffff
147fc04:d920::/28fc04:d92f:ffff:ffff:ffff:ffff:ffff:ffff
148fc04:d930::/28fc04:d93f:ffff:ffff:ffff:ffff:ffff:ffff
149fc04:d940::/28fc04:d94f:ffff:ffff:ffff:ffff:ffff:ffff
150fc04:d950::/28fc04:d95f:ffff:ffff:ffff:ffff:ffff:ffff
151fc04:d960::/28fc04:d96f:ffff:ffff:ffff:ffff:ffff:ffff
152fc04:d970::/28fc04:d97f:ffff:ffff:ffff:ffff:ffff:ffff
153fc04:d980::/28fc04:d98f:ffff:ffff:ffff:ffff:ffff:ffff
154fc04:d990::/28fc04:d99f:ffff:ffff:ffff:ffff:ffff:ffff
155fc04:d9a0::/28fc04:d9af:ffff:ffff:ffff:ffff:ffff:ffff
156fc04:d9b0::/28fc04:d9bf:ffff:ffff:ffff:ffff:ffff:ffff
157fc04:d9c0::/28fc04:d9cf:ffff:ffff:ffff:ffff:ffff:ffff
158fc04:d9d0::/28fc04:d9df:ffff:ffff:ffff:ffff:ffff:ffff
159fc04:d9e0::/28fc04:d9ef:ffff:ffff:ffff:ffff:ffff:ffff
160fc04:d9f0::/28fc04:d9ff:ffff:ffff:ffff:ffff:ffff:ffff
161fc04:da00::/28fc04:da0f:ffff:ffff:ffff:ffff:ffff:ffff
162fc04:da10::/28fc04:da1f:ffff:ffff:ffff:ffff:ffff:ffff
163fc04:da20::/28fc04:da2f:ffff:ffff:ffff:ffff:ffff:ffff
164fc04:da30::/28fc04:da3f:ffff:ffff:ffff:ffff:ffff:ffff
165fc04:da40::/28fc04:da4f:ffff:ffff:ffff:ffff:ffff:ffff
166fc04:da50::/28fc04:da5f:ffff:ffff:ffff:ffff:ffff:ffff
167fc04:da60::/28fc04:da6f:ffff:ffff:ffff:ffff:ffff:ffff
168fc04:da70::/28fc04:da7f:ffff:ffff:ffff:ffff:ffff:ffff
169fc04:da80::/28fc04:da8f:ffff:ffff:ffff:ffff:ffff:ffff
170fc04:da90::/28fc04:da9f:ffff:ffff:ffff:ffff:ffff:ffff
171fc04:daa0::/28fc04:daaf:ffff:ffff:ffff:ffff:ffff:ffff
172fc04:dab0::/28fc04:dabf:ffff:ffff:ffff:ffff:ffff:ffff
173fc04:dac0::/28fc04:dacf:ffff:ffff:ffff:ffff:ffff:ffff
174fc04:dad0::/28fc04:dadf:ffff:ffff:ffff:ffff:ffff:ffff
175fc04:dae0::/28fc04:daef:ffff:ffff:ffff:ffff:ffff:ffff
176fc04:daf0::/28fc04:daff:ffff:ffff:ffff:ffff:ffff:ffff
177fc04:db00::/28fc04:db0f:ffff:ffff:ffff:ffff:ffff:ffff
178fc04:db10::/28fc04:db1f:ffff:ffff:ffff:ffff:ffff:ffff
179fc04:db20::/28fc04:db2f:ffff:ffff:ffff:ffff:ffff:ffff
180fc04:db30::/28fc04:db3f:ffff:ffff:ffff:ffff:ffff:ffff
181fc04:db40::/28fc04:db4f:ffff:ffff:ffff:ffff:ffff:ffff
182fc04:db50::/28fc04:db5f:ffff:ffff:ffff:ffff:ffff:ffff
183fc04:db60::/28fc04:db6f:ffff:ffff:ffff:ffff:ffff:ffff
184fc04:db70::/28fc04:db7f:ffff:ffff:ffff:ffff:ffff:ffff
185fc04:db80::/28fc04:db8f:ffff:ffff:ffff:ffff:ffff:ffff
186fc04:db90::/28fc04:db9f:ffff:ffff:ffff:ffff:ffff:ffff
187fc04:dba0::/28fc04:dbaf:ffff:ffff:ffff:ffff:ffff:ffff
188fc04:dbb0::/28fc04:dbbf:ffff:ffff:ffff:ffff:ffff:ffff
189fc04:dbc0::/28fc04:dbcf:ffff:ffff:ffff:ffff:ffff:ffff
190fc04:dbd0::/28fc04:dbdf:ffff:ffff:ffff:ffff:ffff:ffff
191fc04:dbe0::/28fc04:dbef:ffff:ffff:ffff:ffff:ffff:ffff
192fc04:dbf0::/28fc04:dbff:ffff:ffff:ffff:ffff:ffff:ffff
193fc04:dc00::/28fc04:dc0f:ffff:ffff:ffff:ffff:ffff:ffff
194fc04:dc10::/28fc04:dc1f:ffff:ffff:ffff:ffff:ffff:ffff
195fc04:dc20::/28fc04:dc2f:ffff:ffff:ffff:ffff:ffff:ffff
196fc04:dc30::/28fc04:dc3f:ffff:ffff:ffff:ffff:ffff:ffff
197fc04:dc40::/28fc04:dc4f:ffff:ffff:ffff:ffff:ffff:ffff
198fc04:dc50::/28fc04:dc5f:ffff:ffff:ffff:ffff:ffff:ffff
199fc04:dc60::/28fc04:dc6f:ffff:ffff:ffff:ffff:ffff:ffff
200fc04:dc70::/28fc04:dc7f:ffff:ffff:ffff:ffff:ffff:ffff
201fc04:dc80::/28fc04:dc8f:ffff:ffff:ffff:ffff:ffff:ffff
202fc04:dc90::/28fc04:dc9f:ffff:ffff:ffff:ffff:ffff:ffff
203fc04:dca0::/28fc04:dcaf:ffff:ffff:ffff:ffff:ffff:ffff
204fc04:dcb0::/28fc04:dcbf:ffff:ffff:ffff:ffff:ffff:ffff
205fc04:dcc0::/28fc04:dccf:ffff:ffff:ffff:ffff:ffff:ffff
206fc04:dcd0::/28fc04:dcdf:ffff:ffff:ffff:ffff:ffff:ffff
207fc04:dce0::/28fc04:dcef:ffff:ffff:ffff:ffff:ffff:ffff
208fc04:dcf0::/28fc04:dcff:ffff:ffff:ffff:ffff:ffff:ffff
209fc04:dd00::/28fc04:dd0f:ffff:ffff:ffff:ffff:ffff:ffff
210fc04:dd10::/28fc04:dd1f:ffff:ffff:ffff:ffff:ffff:ffff
211fc04:dd20::/28fc04:dd2f:ffff:ffff:ffff:ffff:ffff:ffff
212fc04:dd30::/28fc04:dd3f:ffff:ffff:ffff:ffff:ffff:ffff
213fc04:dd40::/28fc04:dd4f:ffff:ffff:ffff:ffff:ffff:ffff
214fc04:dd50::/28fc04:dd5f:ffff:ffff:ffff:ffff:ffff:ffff
215fc04:dd60::/28fc04:dd6f:ffff:ffff:ffff:ffff:ffff:ffff
216fc04:dd70::/28fc04:dd7f:ffff:ffff:ffff:ffff:ffff:ffff
217fc04:dd80::/28fc04:dd8f:ffff:ffff:ffff:ffff:ffff:ffff
218fc04:dd90::/28fc04:dd9f:ffff:ffff:ffff:ffff:ffff:ffff
219fc04:dda0::/28fc04:ddaf:ffff:ffff:ffff:ffff:ffff:ffff
220fc04:ddb0::/28fc04:ddbf:ffff:ffff:ffff:ffff:ffff:ffff
221fc04:ddc0::/28fc04:ddcf:ffff:ffff:ffff:ffff:ffff:ffff
222fc04:ddd0::/28fc04:dddf:ffff:ffff:ffff:ffff:ffff:ffff
223fc04:dde0::/28fc04:ddef:ffff:ffff:ffff:ffff:ffff:ffff
224fc04:ddf0::/28fc04:ddff:ffff:ffff:ffff:ffff:ffff:ffff
225fc04:de00::/28fc04:de0f:ffff:ffff:ffff:ffff:ffff:ffff
226fc04:de10::/28fc04:de1f:ffff:ffff:ffff:ffff:ffff:ffff
227fc04:de20::/28fc04:de2f:ffff:ffff:ffff:ffff:ffff:ffff
228fc04:de30::/28fc04:de3f:ffff:ffff:ffff:ffff:ffff:ffff
229fc04:de40::/28fc04:de4f:ffff:ffff:ffff:ffff:ffff:ffff
230fc04:de50::/28fc04:de5f:ffff:ffff:ffff:ffff:ffff:ffff
231fc04:de60::/28fc04:de6f:ffff:ffff:ffff:ffff:ffff:ffff
232fc04:de70::/28fc04:de7f:ffff:ffff:ffff:ffff:ffff:ffff
233fc04:de80::/28fc04:de8f:ffff:ffff:ffff:ffff:ffff:ffff
234fc04:de90::/28fc04:de9f:ffff:ffff:ffff:ffff:ffff:ffff
235fc04:dea0::/28fc04:deaf:ffff:ffff:ffff:ffff:ffff:ffff
236fc04:deb0::/28fc04:debf:ffff:ffff:ffff:ffff:ffff:ffff
237fc04:dec0::/28fc04:decf:ffff:ffff:ffff:ffff:ffff:ffff
238fc04:ded0::/28fc04:dedf:ffff:ffff:ffff:ffff:ffff:ffff
239fc04:dee0::/28fc04:deef:ffff:ffff:ffff:ffff:ffff:ffff
240fc04:def0::/28fc04:deff:ffff:ffff:ffff:ffff:ffff:ffff
241fc04:df00::/28fc04:df0f:ffff:ffff:ffff:ffff:ffff:ffff
242fc04:df10::/28fc04:df1f:ffff:ffff:ffff:ffff:ffff:ffff
243fc04:df20::/28fc04:df2f:ffff:ffff:ffff:ffff:ffff:ffff
244fc04:df30::/28fc04:df3f:ffff:ffff:ffff:ffff:ffff:ffff
245fc04:df40::/28fc04:df4f:ffff:ffff:ffff:ffff:ffff:ffff
246fc04:df50::/28fc04:df5f:ffff:ffff:ffff:ffff:ffff:ffff
247fc04:df60::/28fc04:df6f:ffff:ffff:ffff:ffff:ffff:ffff
248fc04:df70::/28fc04:df7f:ffff:ffff:ffff:ffff:ffff:ffff
249fc04:df80::/28fc04:df8f:ffff:ffff:ffff:ffff:ffff:ffff
250fc04:df90::/28fc04:df9f:ffff:ffff:ffff:ffff:ffff:ffff
251fc04:dfa0::/28fc04:dfaf:ffff:ffff:ffff:ffff:ffff:ffff
252fc04:dfb0::/28fc04:dfbf:ffff:ffff:ffff:ffff:ffff:ffff
253fc04:dfc0::/28fc04:dfcf:ffff:ffff:ffff:ffff:ffff:ffff
254fc04:dfd0::/28fc04:dfdf:ffff:ffff:ffff:ffff:ffff:ffff
255fc04:dfe0::/28fc04:dfef:ffff:ffff:ffff:ffff:ffff:ffff
256fc04:dff0::/28fc04:dfff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses